Re-installation HAL avec modules optionels (polkit, ConsoleKit, PolicyKit)
authorhugo <hugo@364a67c3-989e-7be9-548d-dae8560ea662>
Tue, 16 Feb 2010 04:39:37 +0000 (04:39 +0000)
committerhugo <hugo@364a67c3-989e-7be9-548d-dae8560ea662>
Tue, 16 Feb 2010 04:39:37 +0000 (04:39 +0000)
14 files changed:
packages-list
stage3/cis-mysql
stage3/cis-openssh
stage3/cis-polkit [deleted file]
stage4/cis-emacs
stage4/cis-hal
stage4/cis-policykit [new file with mode: 0755]
stage4/cis-polkit [new file with mode: 0755]
stage4/cis-xterm
stage4/packages-update
stage4/resources/ColorGNU.xpm [deleted file]
stage4/resources/emacs/emacsrc [new file with mode: 0644]
stage4/resources/emacsrc [deleted file]
stage4/stage4-install

index c11ef04..24c345f 100644 (file)
@@ -38,6 +38,7 @@ CDRDAO="cdrdao-1.2.2"
 CKERMIT="ckermit-8.0.211"
 CLAMAV="clamav-0.93.3"
 CLOOG_PPL="cloog-ppl-0.15.7"
+CONSOLEKIT="ConsoleKit-0.4.1"
 COREUTILS="coreutils-7.6"
 CPIO="cpio-2.9"
 CUPS="cups-1.1.23"
@@ -66,7 +67,7 @@ DVDRWTOOLS="dvd+rw-tools-7.1"
 E2FSPROGS="e2fsprogs-1.41.9"
 EASYTAG="easytag-2.1"
 ED="ed-1.4"
-EGGDBUS="eggdbus-0.5"
+EGGDBUS="eggdbus-0.6"
 EGLIBC="eglibc-2.10.1"
 EMACS="emacs-23.1"
 ESOUND="esound-0.2.37"
@@ -205,8 +206,8 @@ GMP="gmp-4.3.1"
 GUILE="guile-1.8.7"
 GZIP="gzip-1.3.12"
 
-HAL="hal-0.5.12"
-HAL_INFO="hal-info-20090414"
+HAL="hal-0.5.14"
+HAL_INFO="hal-info-20091130"
 HELP2MAN="help2man-1.36.4"
 HICOLOR_ICON_THEME="hicolor-icon-theme-0.11"
 HTTPD="httpd-2.2.8" # Apache
@@ -337,7 +338,8 @@ PERL_MOD_URI="URI-1.52"
 PERL_MOD_NET_DNS="Net-DNS-0.66"
 PHP="php-5.2.6"
 PIXMAN="pixman-0.17.4"
-POLKIT="polkit-0.94"
+POLKIT="polkit-0.96"
+POLICYKIT="PolicyKit-0.9"
 POPPLER="poppler-0.12.3"
 PKG_CONFIG="pkg-config-0.23"
 POPT="popt-1.15"
index 799f74b..7256041 100755 (executable)
@@ -29,6 +29,7 @@ cd ${LFS_TMP}/${1}
     --with-plugins=innobase,myisam \
     --with-extra-charsets=all \
     --with-ssl
+make
 make benchdir_root=/tmp/mysql-bench install
 rm -rf /tmp/mysql
 cd /usr/lib
index 078ea38..1e2d5e2 100755 (executable)
@@ -40,8 +40,8 @@ sed -i -e "s!^#PermitRootLogin.*!PermitRootLogin no!g" /etc/ssh/sshd_config
 # Enabling X11 forwarding
 sed -i -e "s!^#X11Forwarding.*!X11Forwarding yes!g" /etc/ssh/sshd_config
 
-# Setting MaxAuthTries to 1
-sed -i -e "s!^#MaxAuthTries.*!MaxAuthTries 1!g" /etc/ssh/sshd_config
+# Setting MaxAuthTries to 2
+sed -i -e "s!^[#]*MaxAuthTries.*!MaxAuthTries 3!g" /etc/ssh/sshd_config
 
 install -v -m740 ${SCRDIR}/bootscripts/sshd /etc/rc.d/init.d
 bootscript_add_rc3 sshd 25 70
diff --git a/stage3/cis-polkit b/stage3/cis-polkit
deleted file mode 100755 (executable)
index e3fcbfc..0000000
+++ /dev/null
@@ -1,34 +0,0 @@
-#!/bin/sh
-set -o errexit
-
-# First argument of this script is the package name
-
-# Reading system configuration informations, functions and package versions.
-source ../sysinfos
-source ../functions
-source ../packages-list
-
-PACKAGE=${1}
-shift
-CONFIGURE_OPTS=${*}
-
-# Applying patches (if any)
-apply_patches ${PACKAGE}
-
-# It is a requirement to have a dedicated user and group for polkit to function
-# correctly:
-hv_groupadd -fg 27 polkituser
-hv_useradd -c Policy-Kit-Daemon-User -d /dev/null -u 27 \
-    -g polkituser -s /bin/false polkituser
-
-cd ${LFS_TMP}/${PACKAGE}-build
-../${PACKAGE}/configure \
-    --prefix=/usr \
-    --sysconfdir=/etc \
-    --localstatedir=/var \
-    ${CONFIGURE_OPTS}
-make
-make install
-ldconfig
-
-exit $?
index 82e5b53..c008cc5 100755 (executable)
@@ -20,12 +20,12 @@ make bootstrap
 make install
 ldconfig
 
-install -m644 ${SCRDIR}/resources/emacsrc /etc/skel/.emacs
-install -m644 ${SCRDIR}/resources/emacsrc /root/.emacs
+install -m644 ${SCRDIR}/resources/emacs/emacsrc /etc/skel/.emacs
+install -m644 ${SCRDIR}/resources/emacs/emacsrc /root/.emacs
 
 LOCAL_SITE_LIST=/usr/local/share/emacs/site-lisp
 
 install -v -m644 -d ${LOCAL_SITE_LIST}
-install -m644 ${SCRDIR}/resources/buffer-cycle.el ${LOCAL_SITE_LIST}
+install -m644 ${SCRDIR}/resources/emacs/buffer-cycle.el ${LOCAL_SITE_LIST}
 
 exit $?
index e113236..c4b4955 100755 (executable)
@@ -1,4 +1,4 @@
-1#!/bin/sh
+#!/bin/sh
 set -o errexit
 
 # First argument of this script is the package name.
@@ -26,7 +26,7 @@ cd ${LFS_TMP}/${PACKAGE}-build
     --sysconfdir=/etc \
     --libexecdir=/usr/lib/hal \
     --localstatedir=/var \
-    --disable-policy-kit \
+    --with-udev-prefix=/etc \
     ${CONFIGURE_OPTS}
 make
 make install
@@ -40,6 +40,53 @@ install -v -m740 ${SCRDIR}/bootscripts/hald /etc/rc.d/init.d
 # script-name start stop
 bootscript_add_rc3 hald 93 19
 
+# The default setup for HAL is to allow only certain users to invoke methods
+# such as Mount(). These are the root user and the user determined to be at the
+# active console using pam_console. If you are not set up to use
+# Linux-PAM-1.1.1 and pam_console, create a group that is allowed to invoke HAL
+# methods with the following commands:
+hv_groupadd -g 61 halusers
+cat > /etc/dbus-1/system.d/halusers.conf << "EOF"
+<!DOCTYPE busconfig PUBLIC
+ "-//freedesktop//DTD D-BUS Bus Configuration 1.0//EN"
+ "http://www.freedesktop.org/standards/dbus/1.0/busconfig.dtd">
+<busconfig>
+
+ <!-- Allow users in the halusers group invoke HAL methods -->
+ <policy group="halusers">
+  <allow send_interface="org.freedesktop.Hal.Device.SystemPowerManagement"/>
+  <allow send_interface="org.freedesktop.Hal.Device.LaptopPanel"/>
+  <allow send_interface="org.freedesktop.Hal.Device.Volume"/>
+  <allow send_interface="org.freedesktop.Hal.Device.Volume.Crypto"/>
+ </policy>
+
+</busconfig>
+EOF
+
+# Now add the users you would like to the halusers group to use HAL:
+usermod -a -G halusers ${REGUSER}
+
+# With the above configuration in place, authorized users now have the ability
+# to unmount disk partitions mounted at non-standard locations such as /pub.
+# If you'd like to restrict this policy to only drives which are considered
+# removable or hotpluggable, add the following configuration file as the root user:
+cat > /etc/hal/fdi/policy/no-fixed-drives.fdi << "EOF"
+<?xml version="1.0" encoding="UTF-8"?> <!-- -*- SGML -*- -->
+
+<!-- Don't allow HAL methods on disks that are not
+     removable or hotpluggable -->
+
+<deviceinfo version="0.2">
+<device>
+  <match key="@block.storage_device:storage.hotpluggable" bool="false">
+    <match key="@block.storage_device:storage.removable" bool="false">
+      <merge key="volume.ignore" type="bool">true</merge>
+    </match>
+  </match>
+</device>
+</deviceinfo>
+EOF
+
 # If the system-wide D-BUS daemon was running during the
 # installation of HAL, ensure you stop and restart the
 # D-BUS daemon before attempting to start the hald daemon.
diff --git a/stage4/cis-policykit b/stage4/cis-policykit
new file mode 100755 (executable)
index 0000000..1fa375a
--- /dev/null
@@ -0,0 +1,34 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name.
+# Remaining arguments are additional configure options.
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+hv_groupadd -g 27 polkituser
+hv_useradd -c Policy-Kit-Daemon-User -d /dev/null -u 27 \
+    -g polkituser -s /bin/false polkituser
+
+cd ${LFS_TMP}/${PACKAGE}-build
+../${PACKAGE}/configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --libexecdir=/usr/lib/PolicyKit \
+    --localstatedir=/var \
+    ${CONFIGURE_OPTS}
+make
+make install
+ldconfig
+
+exit $?
diff --git a/stage4/cis-polkit b/stage4/cis-polkit
new file mode 100755 (executable)
index 0000000..6c7a45f
--- /dev/null
@@ -0,0 +1,35 @@
+#!/bin/sh
+set -o errexit
+
+# First argument of this script is the package name
+
+# Reading system configuration informations, functions and package versions.
+source ../sysinfos
+source ../functions
+source ../packages-list
+
+PACKAGE=${1}
+shift
+CONFIGURE_OPTS=${*}
+
+# Applying patches (if any)
+apply_patches ${PACKAGE}
+
+# It is a requirement to have a dedicated user and group for polkit to function
+# correctly:
+hv_groupadd -fg 27 polkituser
+hv_useradd -c Policy-Kit-Daemon-User -d /dev/null -u 27 \
+    -g polkituser -s /bin/false polkituser
+
+cd ${LFS_TMP}/${PACKAGE}-build
+../${PACKAGE}/configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
+    --libexecdir=/usr/lib/polkit-1 \
+    --localstatedir=/var \
+    ${CONFIGURE_OPTS}
+make
+make install
+ldconfig
+
+exit $?
index c2568a6..7165fe2 100755 (executable)
@@ -22,6 +22,8 @@ echo -e '\tkbs=\\177,' >>terminfo
 
 cd ${LFS_TMP}/${PACKAGE}-build
 TERMINFO=/usr/lib/terminfo ../${PACKAGE}/configure \
+    --prefix=/usr \
+    --sysconfdir=/etc \
     --enable-luit \
     --enable-wide-chars \
     --with-app-defaults=${XORG_PREFIX}/share/X11/app-defaults \
index 42f42c2..01702cc 100755 (executable)
@@ -17,6 +17,16 @@ export RCMD_NO_EXIT=1
 
 update_packages_init
 
+
+
+
+fpkg       ${LIBFFI} "ftp://sourceware.org/pub/libffi"
+fpkg_gnome ${GOBJECT_INSTROSPECTION}
+fpkg       ${EGGDBUS} "http://hal.freedesktop.org/releases"
+fpkg       ${POLKIT} "http://hal.freedesktop.org/releases"
+fpkg       ${CONSOLEKIT} "http://www.freedesktop.org/software/ConsoleKit/dist"
+fpkg       ${POLICYKIT} "http://hal.freedesktop.org/releases"
+
 XORG_MODULES_LIST="${XORG_APP} ${XORG_DATA} ${XORG_DRIVER} ${XORG_FONT} ${XORG_LIB} ${XORG_PROTO} ${XORG_UTIL}"
 
 BLFS_XORG_URL=http://anduin.linuxfromscratch.org/files/BLFS/svn/xorg
diff --git a/stage4/resources/ColorGNU.xpm b/stage4/resources/ColorGNU.xpm
deleted file mode 100644 (file)
index 6e069f6..0000000
+++ /dev/null
@@ -1,76 +0,0 @@
-/* XPM */
-static char * ColorGNU_xpm[] = {
-"48 48 25 1",
-"      c None",
-".     c #965871C65144",
-"X     c #DF7DAEBA8617",
-"o     c #965861855144",
-"O     c #5144410330C2",
-"+     c #000000000000",
-"@     c #861771C65144",
-"#     c #EFBEEFBEEFBE",
-"$     c #9E79A2899E79",
-"%     c #618561854103",
-"&     c #9E79A2898617",
-"*     c #AEBAA2898617",
-"=     c #9E79A28971C6",
-"-     c #861771C64103",
-";     c #9E79AEBA8617",
-":     c #9E79AEBA71C6",
-">     c #DF7DBEFB71C6",
-",     c #71C661855144",
-"<     c #DF7DBEFB8617",
-"1     c #DF7DAEBA71C6",
-"2     c #4103410330C2",
-"3     c #618571C64103",
-"4     c #514441032081",
-"5     c #514430C230C2",
-"6     c #410341032081",
-"                                      .Xo..OO+OO",
-"    O                           O   . ..@O.O+OO.",
-"   +#             ++#####$##O%   O ....@oOO+OOoO",
-"   O#            O###OO$#+###++O$$O+++@OO&OOOOO.",
-"  +#O         O+$###*O+OOO####*#++OOOO++*=+OOOo-",
-"  %#O         ###+##;*+.@#O#O####$O+OO+&;*+OO.O.",
-"  O#$        +####*=*OO@o@#O$##=*+OOOO+=*=++OOo@",
-"  ;O#O       ##O#&;#+.@X@.OO%O##:#+OOO#&:&+OO.@.",
-"  *O#+      +$###=*:O.o>X.oO,###*O+++O#:*O+OOOo-",
-"  :&#+     +#####O:##.<X<X@.OO##;#++O#:&;+XOOOO.",
-"  *##$    +#####*=*+o@X1X@oOO$###O+O$#*=*+XOOOoO",
-"  ;&##    ###$#&:&++@X<X<X@.O+###&#+%#;O:+OOOOO.",
-"  *:##$  +####*:*++Oo1X>X.o+++*:##*%,=*:*++OO.O-",
-"  %&###$+###;*:&;O+.@X<X<OO++++&;##O;*%&O.O+O+O.",
-"   =*######=*=*%O%+@o1X1oX++++++*=*=*=*%+@O+++O@",
-"   &:#####;&:&+++++X<X<.@+++2+O++&;&:O3O%++X+OO.",
-"   :*=*#*=*:,+.++4+4X1X>5++45+O-o+#%,%+++OO+O++-",
-"   &#*:&;*:&O +.+O2O2.@O2+2O+O+O@+$O+++++++.+++.",
-"    O=O=O=OO  $+.65456545654+++++@+%+O+OOXo@+OO@",
-"     O3O%O     +.O+++O2O+++O+#O++.OXO.OX@+++++O.",
-"               4++5454++O+O-o#oO++++++++++++++o-",
-"               O+.@.+++++O+O+.+++++++++++++++OO.",
-"               4++o@+++456o+oOo++6++++++++++oOO@",
-"              ++O.<.O++O@.@.@.+O+O+++O+O+O2O2.@.",
-"               4o.X>o+5-o1X>o.O+54++++O+5454oOo-",
-"               O@.<X@O2.<X<.@.O++++++O+O2O2.O.@.",
-"               45@X1o6o@X1X@O+++O+++O+5456oOo@o@",
-"               O2.<X@+@X<X@O+++O+++O+O2O2O2.@.@X",
-"               .5.X>XOo>X1o-+O.+++++O+5454o-o.X-",
-"              ..2.@X<O@X<X@O++.O+++O+O2.2.O.@X@X",
-"              ..56o1XOo1X@O+++  O+O+565456o@X@X1",
-"               .2O@X<.@X<.O+++   ++O+O2.2.@.@X<X",
-"              .-54o-o+o-oO+++O   +++5454oOo-X.X>",
-"              <O2O2.@+2.@O+++    $+++O2.O.@.@X<X",
-"              +45@o456545++++     ++5654oOo@X@X1",
-"              <+++2O+O2O+.@O+     +O+O2O2.@X@X<X",
-"              <++X54+454X+o+5     $+++54oOo-X.X>",
-"              @.+O2O2O2OX+@++      $+O+O@.@.@X<X",
-"              +OX6o@o@5XX+oO+       O+5456o@X@X1",
-"              O++O@.OO+O+O2++        ++O2.@.@X@X",
-"                O++++++$+4++         +++54o-o.X>",
-"                  O$XXXXXX+           ++2.O.@.@X",
-"                  $O+$+@oO+           ++56oOo@X@",
-"                   O++OO++            ++2O2.@.@X",
-"                    o.+OO$            O+545-o.o-",
-"                       +               ++O2O2.@.",
-"                       $               ++654oOo@",
-"                                       +++2O2.@X"};
diff --git a/stage4/resources/emacs/emacsrc b/stage4/resources/emacs/emacsrc
new file mode 100644 (file)
index 0000000..9db7a0e
--- /dev/null
@@ -0,0 +1,180 @@
+;; ~/.emacs
+
+;; Emacs initialization file.
+;; Font Lock mode, Auto Compression mode, File Name Shadow
+;; Mode, and mouse wheel support are enabled by default.
+
+;; Do not display a splash screen on startup
+(setq inhibit-splash-screen t)
+
+;; Emacs Load Path
+(setq load-path (cons "/usr/local/share/emacs/site-lisp" load-path))
+
+;; Affichage du numéro de colonne
+(setq column-number-mode t)
+
+;; Always end a file with a newline
+(setq require-final-newline t)
+
+;; Stop at the end of the file, not just add lines
+(setq next-line-add-newlines nil)
+
+;; Replaces tabs in files with spaces
+(setq-default indent-tabs-mode nil)
+
+;; Makes the compilation buffer always scrolls to follow
+;; output as it comes in.
+(setq compilation-scroll-output t)
+
+;; Pour avoir les accents
+(set-keyboard-coding-system 'utf-8)
+
+;; Set up the keyboard so the delete key on both the regular keyboard
+;; and the keypad delete the character under the cursor and to the right
+;; under X, instead of the default, backspace behavior.
+(global-set-key [delete] 'delete-char)
+(global-set-key [kp-delete] 'delete-char)
+
+;; For an unknow reason, the CTRL+RIGHT and RIGHT keys seem
+;; to be inveerted...
+
+;; Map RIGHT and LEFT
+;;(global-set-key [(meta O) (D)] 'backward-char)
+;;(global-set-key [(meta O) (C)] 'forward-char)
+;; Map CTRL+RIGHT and CTRL+LEFT
+(global-set-key [C-right] 'forward-word)
+(global-set-key [C-left] 'backward-word)
+
+;; Map Home key to beginning-of-buffer
+(global-set-key "\e[1~" 'beginning-of-buffer)
+;; Map End key to end-of-buffer
+(global-set-key "\e[4~" 'end-of-buffer)
+
+;;===========================================================
+;; Key bindings for compiling programs
+;;===========================================================
+;; Must add helper function for the make also, otherwise
+;; the first definition caused both F3 and F4 to execute "make clean".
+(defun compile-make-clean ()
+  (interactive)           ;; can be called from kbd
+  (compile "make clean"))
+
+(defun compile-make ()
+  (interactive) 
+  (compile "make"))
+
+(defun checkpatch()
+  (interactive)
+  (compile (concat "checkpatch.pl --no-tree --emacs --strict --file " (buffer-file-name))))
+
+;; buffer-cycle.el
+;; F1: Switch to previous buffers
+(autoload 'cycle-buffer-prev "buffer-cycle" t)
+(global-set-key [f1] 'cycle-buffer-prev)
+;; F2: Switch to next buffers
+(autoload 'cycle-buffer-next "buffer-cycle" t)
+(global-set-key [f2] 'cycle-buffer-next)
+
+;; F4: make clean
+(global-set-key [f4] 'compile-make-clean)
+
+;; F5: make
+(global-set-key [f5] 'compile-make)
+
+;; F6: go to next error
+(global-set-key [f6] 'next-error)
+
+;; F7: comment region
+(global-set-key [f7] 'comment-region)
+
+;; F8: code indentation
+(global-set-key [f8] 'indent-region)
+
+;; F9: run checkpatch.pl
+(global-set-key [f9] 'checkpatch)
+
+;;==================================================
+;; Modes
+;;==================================================
+
+(defun linux-c-mode ()
+  "C mode with adjusted defaults for use with the Linux kernel."
+  (interactive)
+  (c-mode)
+  (c-set-style "K&R")
+  ;; Replaces tabs in files with spaces
+  (setq indent-tabs-mode t)
+  (setq c-basic-offset 8))
+
+(defun csv-mode ()
+  "CSV mode."
+  (interactive)
+  (setq indent-tabs-mode t)
+)
+
+;; Default for .h and .d files -> linux mode.
+(add-to-list 'auto-mode-alist '("\.[ch]$" . linux-c-mode))
+
+;; Verilog mode
+(autoload 'verilog-mode "verilog-mode" "Verilog mode" t)
+(add-to-list 'auto-mode-alist '("\\.v\\'" . verilog-mode))
+
+;; PHP mode
+(autoload 'php-mode "php-mode" "PHP mode" t)
+(add-to-list 'auto-mode-alist '("\\.php\\'" . php-mode))
+
+;; ChordPro mode
+(autoload 'chordpro-mode "chordpro-mode" "Chordpro mode" t)
+(add-to-list 'auto-mode-alist '("\\.cp\\'" . chordpro-mode))
+(add-to-list 'auto-mode-alist '("\\.chopro\\'" . chordpro-mode))
+
+;; Lilypond mode
+(autoload 'LilyPond-mode "lilypond-mode" "LilyPond Editing Mode" t)
+(add-to-list 'auto-mode-alist '("\\.ly$" . LilyPond-mode))
+(add-to-list 'auto-mode-alist '("\\.ily$" . LilyPond-mode))
+
+;; CSV mode
+(add-to-list 'auto-mode-alist '("\\.csv$" . csv-mode))
+
+;; Mutt mode
+(autoload 'muttrc-mode "muttrc-mode" "Major mode to edit muttrc files" t)
+(add-to-list 'auto-mode-alist '("muttrc\\'" . muttrc-mode))
+
+;; When an Emacs init file gets large or has a lot of function definitions, you
+;; should consider compiling it: it will load faster when Emacs starts, and its
+;; functions will execute faster.
+;; Here is a way to automatically compile your InitFile each time you save it:
+(defun byte-compile-user-init-file ()
+  (let ((byte-compile-warnings '(unresolved)))
+    ;; in case compilation fails, don't leave the old .elc around:
+    (when (file-exists-p (concat user-init-file ".elc"))
+      (delete-file (concat user-init-file ".elc")))
+    (byte-compile-file user-init-file)
+    ;; (message "%s compiled" user-init-file)
+    ))
+(defun my-emacs-lisp-mode-hook ()
+  (when (equal buffer-file-name user-init-file)
+    (add-hook 'after-save-hook 'byte-compile-user-init-file t t)))
+(add-hook 'emacs-lisp-mode-hook 'my-emacs-lisp-mode-hook)
+
+(custom-set-variables
+  ;; custom-set-variables was added by Custom.
+  ;; If you edit it by hand, you could mess it up, so be careful.
+  ;; Your init file should contain only one such instance.
+  ;; If there is more than one, they won't work right.
+ '(column-number-mode t)
+ '(current-language-environment "UTF-8"))
+(custom-set-faces
+  ;; custom-set-faces was added by Custom.
+  ;; If you edit it by hand, you could mess it up, so be careful.
+  ;; Your init file should contain only one such instance.
+  ;; If there is more than one, they won't work right.
+ '(default ((t (:background "black" :foreground "white" :bold t))))
+ '(font-lock-comment-face ((t (:foreground "red" :bold t))))
+ '(font-lock-constant-face ((t (:foreground "magenta" :bold t))))
+ '(font-lock-function-name-face ((t (:foreground "blue" :bold t))))
+ '(font-lock-keyword-face ((t (:foreground "cyan" :bold t))))
+ '(font-lock-string-face ((t (:foreground "green" :bold t))))
+ '(font-lock-type-face ((t (:foreground "red" :bold t))))
+ '(font-lock-variable-name-face ((t (:foreground "yellow" :bold t))))
+ '(font-lock-warning-face ((t (:foreground "magenta" :bold t)))))
diff --git a/stage4/resources/emacsrc b/stage4/resources/emacsrc
deleted file mode 100644 (file)
index 9db7a0e..0000000
+++ /dev/null
@@ -1,180 +0,0 @@
-;; ~/.emacs
-
-;; Emacs initialization file.
-;; Font Lock mode, Auto Compression mode, File Name Shadow
-;; Mode, and mouse wheel support are enabled by default.
-
-;; Do not display a splash screen on startup
-(setq inhibit-splash-screen t)
-
-;; Emacs Load Path
-(setq load-path (cons "/usr/local/share/emacs/site-lisp" load-path))
-
-;; Affichage du numéro de colonne
-(setq column-number-mode t)
-
-;; Always end a file with a newline
-(setq require-final-newline t)
-
-;; Stop at the end of the file, not just add lines
-(setq next-line-add-newlines nil)
-
-;; Replaces tabs in files with spaces
-(setq-default indent-tabs-mode nil)
-
-;; Makes the compilation buffer always scrolls to follow
-;; output as it comes in.
-(setq compilation-scroll-output t)
-
-;; Pour avoir les accents
-(set-keyboard-coding-system 'utf-8)
-
-;; Set up the keyboard so the delete key on both the regular keyboard
-;; and the keypad delete the character under the cursor and to the right
-;; under X, instead of the default, backspace behavior.
-(global-set-key [delete] 'delete-char)
-(global-set-key [kp-delete] 'delete-char)
-
-;; For an unknow reason, the CTRL+RIGHT and RIGHT keys seem
-;; to be inveerted...
-
-;; Map RIGHT and LEFT
-;;(global-set-key [(meta O) (D)] 'backward-char)
-;;(global-set-key [(meta O) (C)] 'forward-char)
-;; Map CTRL+RIGHT and CTRL+LEFT
-(global-set-key [C-right] 'forward-word)
-(global-set-key [C-left] 'backward-word)
-
-;; Map Home key to beginning-of-buffer
-(global-set-key "\e[1~" 'beginning-of-buffer)
-;; Map End key to end-of-buffer
-(global-set-key "\e[4~" 'end-of-buffer)
-
-;;===========================================================
-;; Key bindings for compiling programs
-;;===========================================================
-;; Must add helper function for the make also, otherwise
-;; the first definition caused both F3 and F4 to execute "make clean".
-(defun compile-make-clean ()
-  (interactive)           ;; can be called from kbd
-  (compile "make clean"))
-
-(defun compile-make ()
-  (interactive) 
-  (compile "make"))
-
-(defun checkpatch()
-  (interactive)
-  (compile (concat "checkpatch.pl --no-tree --emacs --strict --file " (buffer-file-name))))
-
-;; buffer-cycle.el
-;; F1: Switch to previous buffers
-(autoload 'cycle-buffer-prev "buffer-cycle" t)
-(global-set-key [f1] 'cycle-buffer-prev)
-;; F2: Switch to next buffers
-(autoload 'cycle-buffer-next "buffer-cycle" t)
-(global-set-key [f2] 'cycle-buffer-next)
-
-;; F4: make clean
-(global-set-key [f4] 'compile-make-clean)
-
-;; F5: make
-(global-set-key [f5] 'compile-make)
-
-;; F6: go to next error
-(global-set-key [f6] 'next-error)
-
-;; F7: comment region
-(global-set-key [f7] 'comment-region)
-
-;; F8: code indentation
-(global-set-key [f8] 'indent-region)
-
-;; F9: run checkpatch.pl
-(global-set-key [f9] 'checkpatch)
-
-;;==================================================
-;; Modes
-;;==================================================
-
-(defun linux-c-mode ()
-  "C mode with adjusted defaults for use with the Linux kernel."
-  (interactive)
-  (c-mode)
-  (c-set-style "K&R")
-  ;; Replaces tabs in files with spaces
-  (setq indent-tabs-mode t)
-  (setq c-basic-offset 8))
-
-(defun csv-mode ()
-  "CSV mode."
-  (interactive)
-  (setq indent-tabs-mode t)
-)
-
-;; Default for .h and .d files -> linux mode.
-(add-to-list 'auto-mode-alist '("\.[ch]$" . linux-c-mode))
-
-;; Verilog mode
-(autoload 'verilog-mode "verilog-mode" "Verilog mode" t)
-(add-to-list 'auto-mode-alist '("\\.v\\'" . verilog-mode))
-
-;; PHP mode
-(autoload 'php-mode "php-mode" "PHP mode" t)
-(add-to-list 'auto-mode-alist '("\\.php\\'" . php-mode))
-
-;; ChordPro mode
-(autoload 'chordpro-mode "chordpro-mode" "Chordpro mode" t)
-(add-to-list 'auto-mode-alist '("\\.cp\\'" . chordpro-mode))
-(add-to-list 'auto-mode-alist '("\\.chopro\\'" . chordpro-mode))
-
-;; Lilypond mode
-(autoload 'LilyPond-mode "lilypond-mode" "LilyPond Editing Mode" t)
-(add-to-list 'auto-mode-alist '("\\.ly$" . LilyPond-mode))
-(add-to-list 'auto-mode-alist '("\\.ily$" . LilyPond-mode))
-
-;; CSV mode
-(add-to-list 'auto-mode-alist '("\\.csv$" . csv-mode))
-
-;; Mutt mode
-(autoload 'muttrc-mode "muttrc-mode" "Major mode to edit muttrc files" t)
-(add-to-list 'auto-mode-alist '("muttrc\\'" . muttrc-mode))
-
-;; When an Emacs init file gets large or has a lot of function definitions, you
-;; should consider compiling it: it will load faster when Emacs starts, and its
-;; functions will execute faster.
-;; Here is a way to automatically compile your InitFile each time you save it:
-(defun byte-compile-user-init-file ()
-  (let ((byte-compile-warnings '(unresolved)))
-    ;; in case compilation fails, don't leave the old .elc around:
-    (when (file-exists-p (concat user-init-file ".elc"))
-      (delete-file (concat user-init-file ".elc")))
-    (byte-compile-file user-init-file)
-    ;; (message "%s compiled" user-init-file)
-    ))
-(defun my-emacs-lisp-mode-hook ()
-  (when (equal buffer-file-name user-init-file)
-    (add-hook 'after-save-hook 'byte-compile-user-init-file t t)))
-(add-hook 'emacs-lisp-mode-hook 'my-emacs-lisp-mode-hook)
-
-(custom-set-variables
-  ;; custom-set-variables was added by Custom.
-  ;; If you edit it by hand, you could mess it up, so be careful.
-  ;; Your init file should contain only one such instance.
-  ;; If there is more than one, they won't work right.
- '(column-number-mode t)
- '(current-language-environment "UTF-8"))
-(custom-set-faces
-  ;; custom-set-faces was added by Custom.
-  ;; If you edit it by hand, you could mess it up, so be careful.
-  ;; Your init file should contain only one such instance.
-  ;; If there is more than one, they won't work right.
- '(default ((t (:background "black" :foreground "white" :bold t))))
- '(font-lock-comment-face ((t (:foreground "red" :bold t))))
- '(font-lock-constant-face ((t (:foreground "magenta" :bold t))))
- '(font-lock-function-name-face ((t (:foreground "blue" :bold t))))
- '(font-lock-keyword-face ((t (:foreground "cyan" :bold t))))
- '(font-lock-string-face ((t (:foreground "green" :bold t))))
- '(font-lock-type-face ((t (:foreground "red" :bold t))))
- '(font-lock-variable-name-face ((t (:foreground "yellow" :bold t))))
- '(font-lock-warning-face ((t (:foreground "magenta" :bold t)))))
index 73e3ad2..413f20e 100755 (executable)
@@ -74,14 +74,14 @@ install_xorg_modules ${XORG_UTIL}
 ipkg_ac   ${LIBXAU} ${XORG_CONFIG}
 ipkg_ac   ${LIBXDMCP} ${XORG_CONFIG}
 install_xorg_modules ${XORG_LIB}
-ipkg_cust ${LESSTIF} cis-lesstif "\
+ipkg_cust ${LESSTIF} cis-lesstif \
     --sysconfdir=/etc/X11 \
     --disable-debug \
     --disable-build-tests \
     --enable-production \
     --with-xdnd \
     --x-includes=$XORG_PREFIX/include \
-    --x-libraries=$XORG_PREFIX/lib"
+    --x-libraries=$XORG_PREFIX/lib
 ipkg_ac   ${XBITMAPS} ${XORG_CONFIG}
 ipkg_ac   ${LIBPTHREAD_STUBS}
 ipkg_ac   ${LIBDRM} --enable-udev
@@ -94,9 +94,23 @@ ipkg_ac   ${XKEYBOARD_CONFIG} ${XORG_CONFIG} --with-xkb-rules-symlink=xorg
 ipkg_ac   ${LUIT} ${XORG_CONFIG}
 ipkg_ac   ${PIXMAN}
 
+ipkg_ac   ${LIBFFI}
 ipkg_cust ${DBUS} cis-dbus
 ipkg_cust ${GLIB} cis-glib --with-pcre=system
-ipkg_ac   ${DBUS_GLIB} "--disable-tests --disable-dependency-tracking --libexecdir=/usr/lib/dbus-1.0/dbus-1"
+ipkg_ac   ${GOBJECT_INSTROSPECTION}
+ipkg_ac   ${DBUS_GLIB} \
+    --disable-tests \
+    --disable-dependency-tracking \
+    --libexecdir=/usr/lib/dbus-1.0/dbus-1
+ipkg_ac   ${EGGDBUS}
+
+ipkg_cust ${POLKIT} cis-polkit
+ipkg_ac_nb ${CONSOLEKIT} \
+    --libexecdir=/usr/lib/ConsoleKit \
+    --localstatedir=/var \
+    --enable-pam-module
+ipkg_cust ${POLICYKIT} cis-policykit
+
 ipkg_cust ${HAL} cis-hal
 ipkg_ac   ${HAL_INFO}